<div class="container">
    <div class="row">
     <!-- card de toutes les infos du joueur-->
     <div class="card d-flex flex-row gap-2 shadow mb-3 padding mt-3" style="width: 100rem; border: none;">
            <!-- card qui contient la photo, les infos et le logo du club-->
            <div class="card" style="width: 50rem; border: none;">     
                 <!-- Card des informations sur le joueur-->
                 <form [formGroup]="formJoueur">
                    <div class="card-body">
                        <div class="mb-3 row">
                            <input type="hidden" formControlName="id" >
                            <label class="col-sm-3 col-form-label">Nom</label>                   
                            <input type="text" formControlName="nom" class="col-sm-3 col-form-label" 
                                [ngClass]="{'is-valid': !isFieldValid('nom'), 'is-invalid': isFieldValid('nom')}" placeholder="Nom">
                        </div>  
                        <div class="mb-3 row">
                            <label class="col-sm-3 col-form-label">Prénom</label>
                            <input type="string" formControlName="prenom" class="col-sm-3 col-form-label" 
                            [ngClass]="{'is-valid': !isFieldValid('prenom'), 'is-invalid': isFieldValid('prenom')}"placeholder="Prénom">
                        </div>
                        <div class="mb-3 row">
                            <label class="col-sm-3 text-rightcol-form-label">Age</label>
                            <input type="number" min="16" max="50" formControlName="age" class="col-sm-3 col-form-label"
                            [ngClass]="{'is-valid': !isFieldValid('age'), 'is-invalid': isFieldValid('age')}" placeholder="18">
                        </div>
                        <div class="mb-3 row">
                            <label class="col-sm-3 col-form-label">Nationalité</label>
                            <input type="string" formControlName="nationalite" class="col-sm-3 col-form-label"
                            [ngClass]="{'is-valid': !isFieldValid('nationalite'), 'is-invalid': isFieldValid('nationalite')}" 
                                placeholder="Ecossaise">
                        </div>
                        <div class="mb-3 row">
                            <label class="col-sm-3 col-form-label">Equipe</label>
                            <!--- DROP DOWN MENU EQUIPE  -->
                            <div class="dropdown w-50">
                                <button class="btn btn-secondary dropdown-toggle bouton-espacement" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                    {{selectedEquipe?.nomLong || "Choix de l'Equipe"}}
                                </button>
                                <ul class="dropdown-menu dropdown-menu-dark bouton-espacement">
                                    <li *ngFor="let equipe of equipeList" (click)="selectedEquipe = equipe">
                                        <a class="dropdown-item">{{equipe.nomLong}}</a>
                                    </li>
                                </ul>
                            </div>
                            <!---Input caché pour récupérer la donnée de l'équipe par le NgModel-->
                            <input type="hidden" formControlName="equipe" [(ngModel)]="selectedEquipe">
                        </div>
                        <div class="mb-3 row">
                            <label class="col-sm-3 col-form-label">Numéro</label>
                            <input type="number" min="1" max="99" formControlName="numero" class="col-sm-3 col-form-label" 
                            [ngClass]="{'is-valid': !isFieldValid('numero'), 'is-invalid': isFieldValid('numero')}"placeholder="1">
                        </div>
                        <div class="mb-3 row">
                            <label class="col-sm-3 col-form-label">Position</label>
                            <!--- DROP DOWN MENU CHOIX DE LA POSITION-->
                            <div class="dropdown w-50">
                                <button class="btn btn-secondary dropdown-toggle bouton-espacement" type="button" data-bs-toggle="dropdown" aria-expanded="false">{{choixPosition|| 'Position'}}
                                </button>
                                <ul class="dropdown-menu dropdown-menu-dark bouton-espacement">
                                    <li><a class="dropdown-item" (click)="choixPosition='Gardien'">Gardien</a></li>
                                    <li><a class="dropdown-item" (click)="choixPosition='Défenseur'">Défenseur</a></li>
                                    <li><a class="dropdown-item" (click)="choixPosition='Milieu de Terrain'" >Milieu de Terrain</a></li>
                                    <li><a class="dropdown-item" (click)="choixPosition='Attaquant' ">Attaquant</a></li>    
                                </ul>  
                            </div>
                            <input type="hidden" formControlName="position" [(ngModel)]="choixPosition">
                        </div>
                        <div class="mb-3 row">
                            <label class="col-sm-3 col-form-label">taille</label>
                            <input type="number" min="1.60" max="2.20" step="0.05" formControlName="taille" class="col-sm-3 col-form-label" 
                            [ngClass]="{'is-valid': !isFieldValid('taille'), 'is-invalid': isFieldValid('taille')}"placeholder="1.80">
                        </div>               
                        <div class="mb-3 row">
                            <label class="col-sm-3 col-form-label">Poids</label>
                            <input type="number"  min="60" max="120" formControlName="poids" class="col-sm-3 col-form-label"
                            [ngClass]="{'is-valid': !isFieldValid('poids'), 'is-invalid': isFieldValid('poids')}" placeholder="80">
                        </div>
                    </div> 
                   </form>
                </div>
    <!-- card du logo du club du joueur-->
    <div class="card" style="width: 10rem; border: none; display: flex; justify-content: center; align-items: center;">
        <img src="{{getEquipeLogo(selectedEquipe)}}" alt="Photo du club du joueur" class="img-fluid">
        <h4 class="text-center"></h4>
    </div>
    </div> 
        <div class="card d-flex flex-row gap-2 justify-content-center" style="width: 100rem; border: none; margin-bottom: 20px;">
                <a href="#" class="btn btn-primary" routerLink="../joueurliste">Retour</a>
            <button href="#" class="btn btn-primary"  [disabled]="!formJoueur.valid" (click)="creerJoueur()">créer</button>
        </div>
    </div>
</div>
